Probleme mit Net.Framework

  • Guten Tag,
    ich arbeite auf einem ASUS Notebook unter Windows 7 Home und Premium. Beim Versuch verschiedene KleinProgramme zu installieren erhalte ich eine Fehleranzeige, die auf Net.Framework hinweist. Ich habe leider mit Net.Framework keinerlei Erfahrung. Nun habe ich erst einmal versucht, einen Hinweis darauf zu finden, welche Version installiert ist.
    Da beginnt bereits das Durcheinander. Wenn ich über 'Systemsteuerung', 'Programme', 'Windows Funktionen aktivieren / deaktivieren' gehe, so habe ich die Version 3.5.1, und über 'Systemsteuerung', 'Programme deinstallieren' wird Version 4 angezeigt. Wo erfahre ich denn, welche Version wirklich installiert ist? Und wie kann ich herausfinden, was mit der installierten nicht ok ist?


    Gruß Werdandi


    Schade, ich hatte gedacht, dass mir hier geholfen wird. Sollte ich einen wichtigen Hinweis nicht gegeben haben, bitte ich, mich zu informieren.

    Mit freundlichem Gruß
    Werdandi

  • Zitat von Bassboy;804371

    Hallo,



    Am Besten lädst Du Dir das aktuelle Setup (Download details: Microsoft .NET Framework 4 (Web Installer)) herunter und installierst das .NET-Framework neu. Es werden Dir bei der Installation alle neuen Updates etc. mit installiert.


    Hallo BB,
    da wäre diese Seite zur Info und zum Download wohl besser, denn du avisiert die englische Version!
    .NET Framework
    http://www.microsoft.com/germany/net/NET%20Framework%20Downloads%20and%20Platform%20Products%20-%20Downloads.aspx

    Internetter Gruß
    Günther ...Oldie But Even Goldie....
    Komm an den Bodensee und fühle Dich unter netten Leuten wohl!

  • Unter Umständen müssen auch noch die Vorgängerversionen installiert werden.


    Programme die unter 2.0 laufen müssen nicht zwangsläufig auch unter 4.0 laufen.

  • Zitat von MarcusSch;804451

    Programme die unter 2.0 laufen müssen nicht zwangsläufig auch unter 4.0 laufen.

    M.E. beinhaltet die V4 alle Vorgänger, so dass eine solche Installation nicht erforderlich ist.

    Internetter Gruß
    Günther ...Oldie But Even Goldie....
    Komm an den Bodensee und fühle Dich unter netten Leuten wohl!

  • Hallo,


    Zitat von guepewi;804469

    M.E. beinhaltet die V4 alle Vorgänger, so dass eine solche Installation nicht erforderlich ist.


    Nein, das ist nicht so..... da hat MarkusSch recht. Die .net Framework Versionen sind unabhängig voneinander zu betrachten.


    Gruss
    Andy

  • Danke erst einmal für die Antworten, leider hat es noch nicht geholfen.


    Ich habe aufgrund der Antworten folgendes versucht:
    In 'Systemsteuerung' 'Programme' 'Windows Funktionen' habe ich die V3.5.1 deaktiviert, in 'Systemsteuerung' 'Programme' Programme deinstallieren' habe ich die V.4 deinstalliert,
    dann habe ich die dotnetfx_cleanup_tool.exe laufen lassen (Dort wurde Net.Framework 1 und 1.1 angezeigt) und mit Systerac Windows Tools die Registry geputzt.
    Dann habe ich die runtergeladene V4 Net.Framework Exe installiert. und nun habe ich wieder den Status, dass V.3.5.1 unter 'Funktionen' und V.4 unter Programmen angezeigt wird. Also alles beim alten.
    Was habe ich falsch gemacht?


    Übrigens, tut mir leid, dass ich 'gedrängelt' habe, aber wenn man einen Fehler hat, wird man leicht ungeduldig.
    Gruß Werdandi

    Mit freundlichem Gruß
    Werdandi

  • Zitat von Lassiter;804507


    Du solltest mit folgendem Tool das Net.Framework vollkommen incl.


    Danke Lassiter für den Tipp. Nun kann ich endlich reinen Tisch machen und mein vermurkstes Net.Framework neu aufbauen. :top:

    Internetter Gruß
    Günther ...Oldie But Even Goldie....
    Komm an den Bodensee und fühle Dich unter netten Leuten wohl!

  • Hi,
    Vielleicht liege ich völlig daneben, aber IMHO: :|
    Die Versionen 2.0 SP2, 3.0 SP2 und 3.5 SP1 lassen sich nicht
    entfernen, bei Windows 7 sind sie Bestandteil des Betriebsystems.
    Also ist es völlig OK wenn dir sowohl die V3.5 als auch die V4.0 gemeldet
    werden.
    Gruss Micha

    Tätig ist man immer mit einem gewissen Lärm. Wirken geht in der Stille vor sich.

  • Hallo,


    Bei W7 sind sie auf jeden Fall Bestandteile des Betriebssystemes.

    Gruss
    Lassiter ;)


    " Fragen und Probleme zu Forenthemen werden per PN nicht beantwortet, Danke. "

  • Zitat von Lassiter;804674

    Bei W7 sind sie auf jeden Fall Bestandteile des Betriebssystemes.


    Aber ich habe noch WinXP und musste mich damit herum ärgern! :(
    In der Zwischenzeit klappt alles von v1.1 bis 4 mit sämtlichen Sp-Versionen.
    Also Lassiter, nochmals herzlichen Dank für den tollen Tipp!

    Internetter Gruß
    Günther ...Oldie But Even Goldie....
    Komm an den Bodensee und fühle Dich unter netten Leuten wohl!

  • Zitat von guepewi;804685

    Aber ich habe noch WinXP


    Hi,
    ja dann.......
    Falsches Forum.:D:D:D
    Gruss Micha

    Tätig ist man immer mit einem gewissen Lärm. Wirken geht in der Stille vor sich.

  • Zitat von Michael H.;804686

    Hi,
    ja dann.......
    Falsches Forum.:D:D:D
    Gruss Micha


    Das weiß ich, mein Freund! Ich habe mich hier nur angehängt, weil Lassiter den Tipp gab. Und lesen und posten darf ich wohl im ganzen Forum, wenn mich etwas interessiert, oder? :D:D:D

    Internetter Gruß
    Günther ...Oldie But Even Goldie....
    Komm an den Bodensee und fühle Dich unter netten Leuten wohl!

  • Zitat von Lassiter;804507

    Hallo,


    Du solltest mit folgendem Tool das Net.Framework vollkommen incl. Reg.Einträge deinstallieren:
    Sauber Deinstallieren und Entfernen. NET Framework mit Cleanup Tool Free Download »My Digital Life


    und danach wieder frisch installieren.


    Das Tool, welches sich hinter dem Link verbirgt, ist die dotnetfx_cleanup_tool.exe, die ich bereits angewendet habe.
    Ich bin jetzt allgemein ein bisschen durcheinander, weil ich nicht mehr genau weiß, welche Tipps für mich sind oder für guepewi.
    Aber der Hinweis, dass Net.Framework V.3.5.1 unter Windows 7 zum BS gehört und es darum in den Funktionen auftaucht, scheint für mich zu sein?

    Mit freundlichem Gruß
    Werdandi

  • Hallo,


    Werdandi.
    Du solltest bei W7 am Net.Framework nichts ändern.


    Kannst Du mal kurz die komplette Fehlermeldung posten,
    damit wir wissen warum die Meldung überhaupt kommt.

    Gruss
    Lassiter ;)


    " Fragen und Probleme zu Forenthemen werden per PN nicht beantwortet, Danke. "

  • Kann durchaus sein, dass du ein Programm hast, das das .NET Framework 1.0 oder 1.1 erfordert.


    Um mal anzugeben, welche Versionen des .NET-Frameworks es gibt: 1.0, 1.1, 2.0, 3.0, 3.5, 4.0


    Alle Programme, die für das .NET-Framework 3.0 oder 3.5 geschrieben wurden, lassen sich prinzipiell auch mit dem .NET-Framework 2.0 ausführen, da hier die gleiche CLR verwendet wurde. Wie bereits weiter oben geschrieben wurde, bringt Windows 7 das .NET-Framework 3.5 (und damit auch die CLR für 2.0) mit. Das .NET-Framework 4.0 wurde laut deinen Angaben zusätzlich installiert (kommt via Windows-Update). Bleiben also nur noch 1.0 und 1.1.


    Download details: .NET Framework Redistributable
    Downloaddetails: .NET Framework Version 1.1 Redistributable Package

    Aber der Dunst, Moe, der Dunst!

Jetzt mitmachen!

Sie haben noch kein Benutzerkonto auf unserer Seite? Registrieren Sie sich kostenlos und nehmen Sie an unserer Community teil!